devguard

Entitlement reviewsId

Update an entitlement review by id.

PATCH
/entitlement-reviews/{id}/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Path Parameters

id*string

Request Body

application/json

shortId*integer
Range-9007199254740991 <= value <= 9007199254740991
title*string
description?|
finishedAt?|
deadline?|
type*string
Value in"ONBOARDING" | "OFFBOARDING" | "REVIEW"
organizationId*string
coordinatorId*string
employeeId?|

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://app.devguard.ch/api/entitlement-reviews/string/" \  -H "Content-Type: application/json" \  -d '{    "shortId": -9007199254740991,    "title": "string",    "type": "ONBOARDING",    "organizationId": "string",    "coordinatorId": "string"  }'
{
  "id": "string",
  "shortId": -9007199254740991,
  "title": "string",
  "description": "string",
  "createdAt": "string",
  "updatedAt": "string",
  "finishedAt": "string",
  "deadline": "string",
  "type": "ONBOARDING",
  "organizationId": "string",
  "coordinatorId": "string",
  "employeeId": "string"
}
{
  "code": "BAD_REQUEST",
  "message": "Invalid input data",
  "issues": []
}
{
  "code": "UNAUTHORIZED",
  "message": "Authorization not provided",
  "issues": []
}
{
  "code": "FORBIDDEN",
  "message": "Insufficient access",
  "issues": []
}
{
  "code": "NOT_FOUND",
  "message": "Not found",
  "issues": []
}
{
  "code": "INTERNAL_SERVER_ERROR",
  "message": "Internal server error",
  "issues": []
}

How is this guide?